import { ComponentLoaderHostDirective } from "narik-common";
import { DialogAction, DialogContainer, DialogOption, DialogRef } from "narik-infrastructure";
import { OnInit, ViewContainerRef } from "@angular/core";
export declare class NarikNgbDialogContainer implements DialogContainer, OnInit {
    loaderHost: ComponentLoaderHostDirective;
    options: DialogOption;
    title: string;
    actions: DialogAction[];
    dialogRef: DialogRef<any>;
    readonly contentContainerRef: ViewContainerRef;
    constructor();
    ngOnInit(): void;
    actionClick(item: DialogAction): void;
}
